Rapid7 Vulnerability & Exploit Database

Ubuntu: USN-4209-1 (CVE-2019-19076): Linux kernel vulnerabilities

Back to Search

Ubuntu: USN-4209-1 (CVE-2019-19076): Linux kernel vulnerabilities

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:N/I:N/A:C)
Published
11/18/2019
Created
12/05/2019
Added
12/03/2019
Modified
09/12/2020

Description

** DISPUTED ** A memory leak in the nfp_abm_u32_knode_replace() function in drivers/net/ethernet/netronome/nfp/abm/cls.c in the Linux kernel before 5.3.6 allows attackers to cause a denial of service (memory consumption), aka CID-78beef629fd9. NOTE: This has been argued as not a valid vulnerability. The upstream commit 78beef629fd9 was reverted.

Solution(s)

  • ubuntu-upgrade-linux-image-5-0-0-1008-oracle
  • ubuntu-upgrade-linux-image-5-0-0-1022-aws
  • ubuntu-upgrade-linux-image-5-0-0-1023-kvm
  • ubuntu-upgrade-linux-image-5-0-0-1023-raspi2
  • ubuntu-upgrade-linux-image-5-0-0-1026-gcp
  • ubuntu-upgrade-linux-image-5-0-0-1026-gke
  • ubuntu-upgrade-linux-image-5-0-0-1030-oem-osp1
  • ubuntu-upgrade-linux-image-5-0-0-37-generic
  • ubuntu-upgrade-linux-image-5-0-0-37-generic-lpae
  • ubuntu-upgrade-linux-image-5-0-0-37-lowlatency
  • ubuntu-upgrade-linux-image-aws
  • ubuntu-upgrade-linux-image-aws-edge
  • ubuntu-upgrade-linux-image-gcp
  • ubuntu-upgrade-linux-image-generic
  • ubuntu-upgrade-linux-image-generic-hwe-18-04
  • ubuntu-upgrade-linux-image-generic-lpae
  • ubuntu-upgrade-linux-image-generic-lpae-hwe-18-04
  • ubuntu-upgrade-linux-image-gke
  • ubuntu-upgrade-linux-image-gke-5-0
  • ubuntu-upgrade-linux-image-kvm
  • ubuntu-upgrade-linux-image-lowlatency
  • ubuntu-upgrade-linux-image-lowlatency-hwe-18-04
  • ubuntu-upgrade-linux-image-oem-osp1
  • ubuntu-upgrade-linux-image-oracle
  • ubuntu-upgrade-linux-image-oracle-edge
  • ubuntu-upgrade-linux-image-raspi2
  • ubuntu-upgrade-linux-image-snapdragon-hwe-18-04
  • ubuntu-upgrade-linux-image-virtual
  • ubuntu-upgrade-linux-image-virtual-hwe-18-04

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;